#' rnassqs is a wrapper for the United States Department of Agriculture's
#' National Agricultural Statistical Service (NASS) 'Quick Stats' API to enable 
#' getting NASS 'Quick Stats' data directly from \R.  Based on the httr API 
#' package guide.
#'
#' The functions in this package facilitate getting data from NASS 'Quick Stats'.
#' It handles the API key checking and storage, authorization, and fetching of 
#' data.
#' @author Nicholas Potter
#' @name rnassqs-package
#' @aliases rnassqs
#' @docType package
#' @title rnassqs-package: Access the NASS 'Quick Stats' API
#' @keywords package rnassqs-package
#' @references \url{https://quickstats.nass.usda.gov}
#' @seealso \url{https://quickstats.nass.usda.gov/api}
NULL

